BasicTreeUI.MouseHandler (Java SE 12 & JDK 12 )
Keywords: javax.swing.plaf.basic.BasicTreeUI.MouseHandler class

Module java.desktop
Package javax.swing.plaf.basic

## Class BasicTreeUI.MouseHandler

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.plaf.basic.BasicTreeUI.MouseHandler

- All Implemented Interfaces:
    `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`
  Enclosing class:
    BasicTreeUI

      public class BasicTreeUI.MouseHandler
      extends MouseAdapter
      implements MouseMotionListener

  TreeMouseListener is responsible for updating the selection based on mouse events.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MouseHandler()` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `mouseMoved​(MouseEvent e)` | Invoked when the mouse button has been moved on a component (with no buttons no down).
    `void` | `mousePressed​(MouseEvent e)` | Invoked when a mouse button has been pressed on a component.

    - ### Methods declared in class java.awt.event.MouseAdapter

      `mouseDragged, mouseWheelMoved`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface java.awt.event.MouseListener

      `mouseClicked, mouseEntered, mouseExited, mouseReleased`

    - ### Methods declared in interface java.awt.event.MouseMotionListener

      `mouseDragged`

- - ### Constructor Detail

    - #### MouseHandler

          public MouseHandler()

  - ### Method Detail

    - #### mousePressed

          public void mousePressed​(MouseEvent e)

      Invoked when a mouse button has been pressed on a component.
      Specified by:
        `mousePressed` in interface `MouseListener`
      Parameters:
        `e` - the event to be processed

    - #### mouseMoved

          public void mouseMoved​(MouseEvent e)

      Invoked when the mouse button has been moved on a component (with no buttons no down).
      Specified by:
        `mouseMoved` in interface `MouseMotionListener`
      Overrides:
        `mouseMoved` in class `MouseAdapter`
      Parameters:
        `e` - the event to be processed
      Since:
        1.4